jest-css-modules
A Jest processor that prevents CSS module parse errors
Last updated a year ago by justinsisley .
ISC · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install jest-css-modules 
SYNC missed versions from official npm registry.

Note: As of v2.0.0, this library is simply implementing identity-obj-proxy. The Jest documentation provides more details on using identity-obj-proxy to solve this problem directly, and I recommend that you use that library instead of this one.

Jest CSS Modules

A Jest script processor that prevents CSS module parse errors.

Installation

npm install -D jest-css-modules

Update your package.json file's jest configuration:

{
  "jest": {
    "moduleNameMapper": {
      "\\.(css|less|scss|sss|styl)$": "<rootDir>/node_modules/jest-css-modules"
    }
  }
}

Now, imports such as import styles from './MyModule.css'; will pass through Jest without causing any pain.

Supports .css, .less, .scss, .sss, and .styl extensions.

Note: If you continue to experience CSS module parsing errors after installing and configuring this library, try running jest with the --no-cache flag. Read the Jest documentation on caching for more details.

Current Tags

  • 2.1.0                                ...           latest (a year ago)

6 Versions

  • 2.1.0                                ...           a year ago
  • 2.0.0                                ...           2 years ago
  • 1.1.0                                ...           4 years ago
  • 1.0.2                                ...           4 years ago
  • 1.0.1                                ...           5 years ago
  • 1.0.0                                ...           5 years ago

Copyright 2014 - 2016 © taobao.org |